Suite au passage en 5.5, questions ! (Créer un compte)

  • WordPress :5.4
  • Statut : non résolu
9 sujets de 1 à 9 (sur un total de 9)
  • Auteur
    Messages
  • #2351286
    Xav84
    Participant
    Initié WordPress
    20 contributions

    Bonjour,

    Ma configuration WP actuelle

    • Version de PHP/MySQL : 7.3
    • Thème utilisé : MONTEZUMA : https://wordpress.org/themes/montezuma/
    • Extensions en place :
      WordPress Database Backup Version 2.3.3
      Store Locator Plus® Version 5.5.9
      Shortcodes Ultimate Version 5.9.2
      Popup Builder Version 3.68.4
      List category posts Version 0.83.1
      Jetpack Version 8.8.2
      Cookie Notice Version 1.3.2
      Contact Form 7 Version 5.2.1
      Classic Editor Version 1.6
      Akismet Anti-Spam Version 4.1.6
      Advanced noCaptcha & invisible Captcha Version 5.7.1
      Yoast SEO Version 14.8
    • Nom de l’hébergeur : OVH
    • Adresse du site :

    Problème(s) rencontré(s) :

    Bonjour,

    Désolé mais j’ai besoin d’aide et conseils. Voilà, hier j’ai voulu migrer en version 5.5 de WP. Tout s’est déroulé correctement au niveau MAJ.

    Donc, en Mode Admin j’avais pas de soucis. Je passe en Mode User, et là mon thème est parti en « éclat », il manquait des images (PNG) du thème, des liens, des menus avait du mal à réagir ! En mode portable mon popup menu qui remplace en mode ordi l’affichage n’était plus là ! et d’autres soucis.

    Alors bien entendu je suis revenu en v 5.4 et là c’est redevenu ok. J’avais fait des mises à jour d’extensions avant la migration en 5.5.

    Je pense que ces problèmes sont dus à la « vieillesse » de mon thème ? et aussi du fait qu’il n’est plus supporté.

    Déjà pourriez-vous confirmer mon instinct ?

     

    De plus, cela veut dire que je ne ferais plus de mise à jour WP. Cela pose-t-il un souci ?

    L’autre question est par rapport aux extensions que j’ai, faut-il continuer à les mettre à jour, du fait que je ne pourrais sûrement plus migrer en version supérieure de WP. Surtout Yoast SEO Version 14.8 qui est primordial pour moi et qui m’aide beaucoup au niveau SEO.

    Dernière question, si je décide de changer de thème, plus récent, pour qu’il soit supporté par le créateur et compatible avec les versions à venir de WP, est-ce que cela peut tout déstabiliser sur mon site, BDD, mes liens, mes articles, mes menus, mes widgets, mes catégories, mes pages …..etc ?

    Désolé mais je suis néophyte et je me débrouille comme je peux. J’espère vous avoir donné assez d’informations.

    Par avance merci pour votre aide.

    Cordialement

    xavdm84

     

    P.S. Dans le popup menu des versions il n’y a pas 5.5, pour info

    • Ce sujet a été modifié le il y a 1 année et 5 mois par Xav84.
    • Ce sujet a été modifié le il y a 1 année et 5 mois par Xav84.
    • Ce sujet a été modifié le il y a 1 année et 5 mois par Xav84.
    #2351312
    Li-An
    Modérateur
    Maître WordPress
    25790 contributions

    Bonjour, en effet votre thème est trop vieux. En théorie, les thèmes sont conçus pour ne pas interférer avec le contenu (c’est un habillage). Évidemment certains thèmes proposent des fonctionnalités « maison » que l’on peut perdre si on ne connait rien au code mais ce sont des thèmes à éviter.

    Vous ne perdrez ni contenu, ni taxonomie, ni menu etc… (il faudra peut-être les déplacer).

    Installez une extension de maintenance, sauvegarder éventuellement vos réglages widgets https://www.echodesplugins.li-an.fr/plugins/widget-importer-exporter/, et installez un thème récent pour voir ce que ça donne. Vous pouvez d’ailleurs le prévisualiser sans l’activer, très pratique.

    Il faut faire en sorte que WP soit à jour. WP 5.5 peut attendre (ce n’est pas une mise à jour de sécurité mais d’ajout de fonctionnalités et j’attends WP 5.5.1 personnellement) mais il faudra y passer. Sachez que sur le Web, rien n’est éternel et il faut accepter de s’adapter. D’ailleurs personne ne peut dire si dans 10 ans WP sera encore là ou si ce sera considéré comme une solution obsolète.

    Thème et extensions doivent être mise à jour car ces mises à jour peuvent corriger des failles de sécurité et vous n’avez pas envie de voir votre site piraté.

    Un peu de lecture pour débutant https://www.echodesplugins.li-an.fr/tutoriaux/mon-premier-wordpress/

    #2351323
    Xav84
    Participant
    Initié WordPress
    20 contributions

    Bonsoir,

    merci d’avoir pris du temps pour me répondre.

    « Installez une extension de maintenance, sauvegarder éventuellement vos réglages widgets https://www.echodesplugins.li-an.fr/plugins/widget-importer-exporter/, et installez un thème récent pour voir ce que ça donne. »

    Je suis désolé car j’ai une question. A quoi sert exactement, ce plugin exactement ?

    Désolé pour la question idiote 🙂

    « Il faut faire en sorte que WP soit à jour. WP 5.5 peut attendre (ce n’est pas une mise à jour de sécurité mais d’ajout de fonctionnalités et j’attends WP 5.5.1 personnellement) mais il faudra y passer. »

    Pourquoi dois-je ou devrais-je absolument comme il faudra y passer ?

     » Thème et extensions doivent être mise à jour car ces mises à jour peuvent corriger des failles de sécurité et vous n’avez pas envie de voir votre site piraté.  » Je parlais si jamais, je ne change pas de thème et que je choisis de rester en 5.4, faut-il oui ou non à ce moment faire quand même les MAJ des extensions ?

     

    Merci

     

    Cordialement

    xavdm84

    #2351328
    Li-An
    Modérateur
    Maître WordPress
    25790 contributions

    Écoutez faites comme vous le sentez. Il me semble que je suis clair : il faudra passer à 5.5.1 et mettre à jour toutes les extensions d’un point de vue sécurité. Vous pouvez tourner avec une vieille version de WP mais à long terme c’est synonyme d’ennuis probables.

    L’extension proposée permet de sauvegarder vos réglages widgets d’un thème car lors d’un changement de thème, les sidebars ne sont pas toujours numérotées de la même manière et il se peut que vous perdiez ces réglages et ça peut être fastidieux de remettre les widgets en place.

    Mais comme je vous l’ai dit, vous n’êtes pas obligé de suivre nos conseils.

    #2351332
    Xav84
    Participant
    Initié WordPress
    20 contributions

    Bonsoir,

     

    Bonsoir,

     

    Je n’ai jamais remis en cause votre aide je ne comprends pas votre réaction qui me paraît un peu bizarre je demande de l’aide vous me donner un conseil je vous demande à nouveau si je peux rester et vous me forcer à passer dans unE version suivante

    Il est normal que dans un forum d’entraide comme l’indique son nom EDF on se pose des questions n’est-ce pas en tout cas merci beaucoup je vous laisse tranquille vous inquiétez pas je vais aller sur les forums américains qui sont à mon avis plus à même de me répondre c’est pas la première fois que j’ai affaire à vous et à chaque fois vous prenez les choses mal or ce n’est pas le but je ne vous salue pas

    D’ailleurs si c’est pour faire plaisir vous pouvez me radier de ce site j’en ai rien a foutre

    #2351345
    Li-An
    Modérateur
    Maître WordPress
    25790 contributions

    Il me semble que j’ai répondu poliment. Mais je vous souhaite bonne chance ailleurs – on vous donnera les mêmes réponses mais en anglais.

    #2351401
    owendoo
    Participant
    Initié WordPress
    11 contributions

    Si vous ne mettez pas WordPress à jour, ça passera quelques temps mais vous aurez de plus en plus de problèmes.

    Votre thème n’a pas été mis à jour depuis 2 ans, c’est beaucoup ! Je vous recommande vivement d’installer un nouveau thème, ou de tester votre site sur le dernier thème Twenty Twenty. Vous regardez ce que ça donne, et soit vous adaptez votre site au nouveau thème, soit vous repassez sur l’ancien.

    Pour les extensions, vous pouvez aussi essayer de les mettre à jour (en faisant bien sur une sauvegarde de votre site avant), et voir ce que ça donne.

     

     

    #2351402
    Xav84
    Participant
    Initié WordPress
    20 contributions

    Bonjour

    Merci pour votre réponse. Quand vous dites ça passera quelques temps. C’est-à-dire ? Si je ne mets pas WP à jour que je le laisse tel qu’il est en version 5.4 que je ne fais pas évoluer non plus mon PHP que peut-il se passer ? C’est juste un site de vitrine je ne fais pas de vente ni quoi que ce soit merci pour votre réponse

    Cordialement

     

     

    #2351405
    owendoo
    Participant
    Initié WordPress
    11 contributions

    Comme disait Li-An plus haut, vous pouvez zapper WP 5.5 parce qu’il n’y a pas de mise à jour de sécurité, mais il faudra un jour ou l’autre passer aux prochaines, sinon vous risquez des problèmes de plantage du site et de piratage. Cela ne sera pas tenable plus d’1 an, voir 2.

    J’ai vu des sites piratés pour lesquels l’url était devenue inutilisable (marqué comme dangereuse au niveau de Google), et quand ce genre de problème arrive, il faut soit payer un prestataire spécialisé pour le réparer (environ 300 €), soit prendre une autre url

9 sujets de 1 à 9 (sur un total de 9)
  • Vous devez être connecté pour répondre à ce sujet.